<?php
session_start();
include ('private/mysql.php');
include ('tmp/head.php');



switch($sd){
default:

$q = mysql_query("SELECT * FROM `users` WHERE `id`='$id'");
$e = mysql_num_rows($q);
if($e=='0'){
	header('Location: main.php');
	exit;
}
$us = mysql_fetch_assoc($q);

echo "<span style='float:left'><img src='img/$us[pol].png' width='40'></span>";

if($us['storona'] == 'white'){$st = "<img src='img/white.png' width='15'> Свет";}else{$st = "<img src='img/dark.png' width='15'> Тьма";}



if($us['online']>time()){
if($us['user_agent']=='mobile'){echo "&nbsp;<img src='img/omobile.png' width='15'> ";}
if($us['user_agent']=='pc'){echo "&nbsp;<img src='img/opc.png' width='15'> ";}
}else{
    echo "<font size=2 color=red>&nbsp;Не в игре</font> ";
}
echo "<small>&nbsp;$us[login], $st<br>&nbsp;$us[level] ур.";

$ssw = mysql_fetch_assoc(mysql_query("SELECT * FROM `game` WHERE `id`='1'"));
if($ssw['seakorol']==$us['id']){echo "&nbsp;<font color=aqua>Покоритель Морей</font>";}

if($us['access']=='3'){echo "&nbsp;<font color=lightgreen>Администратор</font>";}
if($us['access']=='2'){echo "&nbsp;<font color=#3366FF>Модератор</font>";}

if($us['rank']=='1'){echo "<br><img src='img/rank/$us[rank].png'> Новобранец I степени";}
if($us['rank']=='2'){echo "<br><img src='img/rank/$us[rank].png'> Новобранец II степени";}
if($us['rank']=='3'){echo "<br><img src='img/rank/$us[rank].png'> Новобранец II степени";}
if($us['rank']=='4'){echo "<br><img src='img/rank/$us[rank].png'> Ученик I степени";}
if($us['rank']=='5'){echo "<br><img src='img/rank/$us[rank].png'> Ученик II степени";}
if($us['rank']=='6'){echo "<br><img src='img/rank/$us[rank].png'> Ученик III степени";}
if($us['rank']=='7'){echo "<br><img src='img/rank/$us[rank].png'> Рядовой I степени";}
if($us['rank']=='8'){echo "<br><img src='img/rank/$us[rank].png'> Рядовой II степени";}
if($us['rank']=='9'){echo "<br><img src='img/rank/$us[rank].png'> Рядовой III степени";}
if($us['rank']=='10'){echo "<br><img src='img/rank/$us[rank].png'> Рядовой IV степени";}
if($us['rank']=='11'){echo "<br><img src='img/rank/$us[rank].png'> Оруженосец I степени";}
if($us['rank']=='12'){echo "<br><img src='img/rank/$us[rank].png'> Оруженосец II степени";}
if($us['rank']=='13'){echo "<br><img src='img/rank/$us[rank].png'> Оруженосец III степени";}
if($us['rank']=='14'){echo "<br><img src='img/rank/$us[rank].png'> Рыцарь I степени";}
if($us['rank']=='15'){echo "<br><img src='img/rank/$us[rank].png'> Рыцарь II степени";}
if($us['rank']=='16'){echo "<br><img src='img/rank/$us[rank].png'> Рыцарь III степени";}
if($us['rank']=='17'){echo "<br><img src='img/rank/$us[rank].png'> Мастер I степени";}
if($us['rank']=='18'){echo "<br><img src='img/rank/$us[rank].png'> Мастер II степени";}
if($us['rank']=='19'){echo "<br><img src='img/rank/$us[rank].png'> Мастер III степени";}
if($us['rank']=='20'){echo "<br><img src='img/rank/$us[rank].png'> Мастер IV степени";}
if($us['rank']=='21'){echo "<br><img src='img/rank/$us[rank].png'> Паладин I степени";}
if($us['rank']=='22'){echo "<br><img src='img/rank/$us[rank].png'> Паладин II степени";}
if($us['rank']=='23'){echo "<br><img src='img/rank/$us[rank].png'> Паладин III степени";}
if($us['rank']=='24'){echo "<br><img src='img/rank/$us[rank].png'> Барон I степени";}
if($us['rank']=='25'){echo "<br><img src='img/rank/$us[rank].png'> Барон II степени";}
if($us['rank']=='26'){echo "<br><img src='img/rank/$us[rank].png'> Барон III степени";}
if($us['rank']=='27'){echo "<br><img src='img/rank/$us[rank].png'> Великий Воин Времени I степени";}
if($us['rank']=='28'){echo "<br><img src='img/rank/$us[rank].png'> Великий Воин Времени II степени";}
if($us['rank']=='29'){echo "<br><img src='img/rank/$us[rank].png'> Великий Воин Времени III степени";}
if($us['rank']=='30'){echo "<br><img src='img/rank/$us[rank].png'> Великий Воин Времени IV степени";}

echo "</small><br><br><br>";

if($user['profa']!==''){
    if($user['profa']=='hunter'){echo "<a href='/profession'>Профессия</a>: Охотник<br><br>";}
    if($user['profa']=='fisher'){echo "<a href='/profession'>Профессия</a>: Рыболов<br><br>";}
}

echo "<a href='user.php?sd=shmot&id=$us[id]'><img src='img/snaryaj.png'> Снаряжение</a><br>";
echo "<a href='mail.php?sd=send&id=$us[id]'><img src='img/mail.png'> Отправить письмо</a><br><br>";


if($us['orden']!==''){
	$ord = mysql_fetch_assoc(mysql_query("SELECT * FROM `orden` WHERE `lider`='$us[orden]'"));
	
	echo "Орден: <a href=''>$ord[name]</a> ";
	if($us['orden_title']=='1'){echo "[Глава] ";}
	if($us['orden_title']=='2'){echo "[Зам. Главы] ";}
	if($us['orden_title']=='3'){echo "[Генерал] ";}
	if($us['orden_title']=='4'){echo "[Солдат] ";}
	if($us['orden_title']=='5'){echo "[Новобранец] ";}
	echo "<br><br>";
	
}
if($us['orden']=='' and $us['storona']==$user['storona']){
if($user['orden_title']=='1' || $user['orden_title']=='2' || $user['orden_title']=='3'){
	echo "<a href='/orden/invite/$us[id]'>Пригласить в орден</a><br><br>";	
}
}


echo "<img src='img/hp.png'> Живучесть: ".number_format($us['hpall'])."<br>
<img src='img/mp.png'> Мана: ".number_format($us['mpall'])."<br>
<img src='img/intellekt.png'> Интеллект: ".number_format($us['int'])."<br>";
if($us['krit']>='1'){
    echo "<img src='img/energy.png'> Шанс Крит.Удара: ".number_format($us['krit'])."<br>";
}
echo "<img src='img/uron.png'> Урон: ".number_format($us['min_u'])." - ".number_format($us['max_u'])."<br><br>";



echo "<img src='img/warning.png'> Предупреждений: $us[pred]<br>";


if($us['online']<time()){
$time=time();
if (($time-$us['online'])>="86400"){
$us['online']=date("j M Y  в H:i", $us['online']);
$us['online'] = strtr($us['online'], array ("Jan" => "Янв","Feb" => "Фев","Mar" => "Марта","May" => "Мая","Apr" => "Апр","Jun" => "Июня","Jul" => "Июля","Aug" => "Авг","Sep" => "Сент","Oct" => "Окт","Nov" => "Ноября","Dec" => "Дек",));
}else{
$timer=$time-$us['online'];
$ost=@date("i",$timer);
$time2=time()-10800;
$timer2=$time2-$us['online'];
$ost2=@date("H",$timer2);
if($ost2>0){
$us['online']=@date("H ч. i мин. s сек. назад",$timer2);
}else{
if($ost>0){
$us['online']=@date("i мин. s сек. назад",$timer);
}else{
$us['online']=@date("s сек. назад",$timer);
}}}

echo "<br>Последнее посещение: $us[online]<br>";
}



$q = mysql_query("SELECT * FROM `medal` WHERE `user`='$us[id]' ORDER BY `id` DESC LIMIT 5");
$e = mysql_num_rows($q);
if($e>='1'){
    echo "<br><br>";
    While($w = mysql_fetch_assoc($q)){
        
        echo "<a href='medal.php?sd=info&id=$w[id]'><img src='img/medal/$w[img]' width='40'></a>&nbsp;&nbsp;&nbsp;";
        
    }
    if($e>='6'){echo "<br><small><a href='medal.php?sd=view&id=$us[id]'>Посмотреть все медали</a></small>";}
}


if($user['access']=='3'){
    echo "<hr><a href='azone.php?sd=pred&id=$us[id]'>Выдать предупреждение</a><br>";
    echo "<a href='azone.php?sd=ban&id=$us[id]'>Выдать бан</a><br>";
    echo "<a href='azone.php?sd=mults&id=$us[id]'>Мульты игрока</a><br>";
}

if($user['access']=='2'){
    echo "<hr><a href='mzone.php?sd=pred&id=$us[id]'>Выдать предупреждение</a><br>";
    echo "<a href='mzone.php?sd=ban&id=$us[id]'>Выдать бан</a><br>";
}

break;


case 'shmot':
$q = mysql_query("SELECT * FROM `users` WHERE `id`='$id'");
$e = mysql_num_rows($q);
if($e=='0'){
	header('Location: main.php');
	exit;
}
$us = mysql_fetch_assoc($q);



$q = mysql_query("SELECT * FROM `item` WHERE `user`='$us[id]' and `tip`='helmet' and `status`='odet'");
$e = mysql_num_rows($q);
$w = mysql_fetch_assoc($q);
if($e == 0){
    echo "<img src='/img/pusto.png' width='45'> Пусто<br>";
}else{
    if($w['imp']>='1'){$imp="+$w[imp]";}else{$imp="";}
    echo "<img src='/img/shmot/$w[img]' width='45'> $w[name] $imp<br>";
}

$q = mysql_query("SELECT * FROM `item` WHERE `user`='$us[id]' and `tip`='ple4i' and `status`='odet'");
$e = mysql_num_rows($q);
$w = mysql_fetch_assoc($q);
if($e == 0){
    echo "<img src='/img/pusto.png' width='45'> Пусто<br>";
}else{
    if($w['imp']>='1'){$imp="+$w[imp]";}else{$imp="";}
    echo "<img src='/img/shmot/$w[img]' width='45'> $w[name] $imp<br>";
}


$q = mysql_query("SELECT * FROM `item` WHERE `user`='$us[id]' and `tip`='armor' and `status`='odet'");
$e = mysql_num_rows($q);
$w = mysql_fetch_assoc($q);
if($e == 0){
    echo "<img src='/img/pusto.png' width='45'> Пусто<br>";
}else{
    if($w['imp']>='1'){$imp="+$w[imp]";}else{$imp="";}
    echo "<img src='/img/shmot/$w[img]' width='45'> $w[name] $imp<br>";
}


$q = mysql_query("SELECT * FROM `item` WHERE `user`='$us[id]' and `tip`='weapon' and `status`='odet'");
$e = mysql_num_rows($q);
$w = mysql_fetch_assoc($q);
if($e == 0){
    echo "<img src='/img/pusto.png' width='45'> Пусто<br>";
}else{
    if($w['imp']>='1'){$imp="+$w[imp]";}else{$imp="";}
    echo "<img src='/img/shmot/$w[img]' width='45'> $w[name] $imp<br>";
}

$q = mysql_query("SELECT * FROM `item` WHERE `user`='$us[id]' and `tip`='shield' and `status`='odet'");
$e = mysql_num_rows($q);
$w = mysql_fetch_assoc($q);
if($e == 0){
    echo "<img src='/img/pusto.png' width='45'> Пусто<br>";
}else{
    if($w['imp']>='1'){$imp="+$w[imp]";}else{$imp="";}
    echo "<img src='/img/shmot/$w[img]' width='45'> $w[name] $imp<br>";
}

$q = mysql_query("SELECT * FROM `item` WHERE `user`='$us[id]' and `tip`='gloves' and `status`='odet'");
$e = mysql_num_rows($q);
$w = mysql_fetch_assoc($q);
if($e == 0){
    echo "<img src='/img/pusto.png' width='45'> Пусто<br>";
}else{
    if($w['imp']>='1'){$imp="+$w[imp]";}else{$imp="";}
    echo "<img src='/img/shmot/$w[img]' width='45'> $w[name] $imp<br>";
}

$q = mysql_query("SELECT * FROM `item` WHERE `user`='$us[id]' and `tip`='pants' and `status`='odet'");
$e = mysql_num_rows($q);
$w = mysql_fetch_assoc($q);
if($e == 0){
    echo "<img src='/img/pusto.png' width='45'> Пусто<br>";
}else{
    if($w['imp']>='1'){$imp="+$w[imp]";}else{$imp="";}
    echo "<img src='/img/shmot/$w[img]' width='45'> $w[name] $imp<br>";
}

$q = mysql_query("SELECT * FROM `item` WHERE `user`='$us[id]' and `tip`='boots' and `status`='odet'");
$e = mysql_num_rows($q);
$w = mysql_fetch_assoc($q);
if($e == 0){
    echo "<img src='/img/pusto.png' width='45'> Пусто<br>";
}else{
    if($w['imp']>='1'){$imp="+$w[imp]";}else{$imp="";}
    echo "<img src='/img/shmot/$w[img]' width='45'> $w[name] $imp<br>";
}

$q = mysql_query("SELECT * FROM `item` WHERE `user`='$us[id]' and `tip`='amulet' and `status`='odet'");
$e = mysql_num_rows($q);
$w = mysql_fetch_assoc($q);
if($e == 0){
    echo "<img src='/img/pusto.png' width='45'> Пусто<br>";
}else{
    if($w['imp']>='1'){$imp="+$w[imp]";}else{$imp="";}
    echo "<img src='/img/shmot/$w[img]' width='45'> $w[name] $imp<br>";
}

$q = mysql_query("SELECT * FROM `item` WHERE `user`='$us[id]' and `tip`='ear' and `status`='odet'");
$e = mysql_num_rows($q);
$w = mysql_fetch_assoc($q);
if($e == 0){
    echo "<img src='/img/pusto.png' width='45'> Пусто<br>";
}else{
    if($w['imp']>='1'){$imp="+$w[imp]";}else{$imp="";}
    echo "<img src='/img/shmot/$w[img]' width='45'> $w[name] $imp<br>";
}

$q = mysql_query("SELECT * FROM `item` WHERE `user`='$us[id]' and `tip`='ring' and `status`='odet'");
$e = mysql_num_rows($q);
$w = mysql_fetch_assoc($q);
if($e == 0){
    echo "<img src='/img/pusto.png' width='45'> Пусто<br>";
}else{
    if($w['imp']>='1'){$imp="+$w[imp]";}else{$imp="";}
    echo "<img src='/img/shmot/$w[img]' width='45'> $w[name] $imp<br>";
}


break;




}
include ('tmp/foot.php');
?>